if (!("finalizeConstruction" in ViewPU.prototype)) {
    Reflect.set(ViewPU.prototype, "finalizeConstruction", () => { });
}
interface Page_ColdStartUp_Params {
}
import type common from "@ohos:app.ability.common";
import type Want from "@ohos:app.ability.Want";
import hilog from "@ohos:hilog";
import type { BusinessError } from "@ohos:base";
const DOMAIN_NUMBER: number = 0xFF00;
const TAG: string = '[Page_ColdStartUP]';
class Page_ColdStartUp extends ViewPU {
    constructor(parent, params, __localStorage, elmtId = -1, paramsLambda = undefined, extraInfo) {
        super(parent, __localStorage, elmtId, extraInfo);
        if (typeof paramsLambda === "function") {
            this.paramsGenerator_ = paramsLambda;
        }
        this.setInitiallyProvidedValue(params);
        this.finalizeConstruction();
    }
    setInitiallyProvidedValue(params: Page_ColdStartUp_Params) {
    }
    updateStateVars(params: Page_ColdStartUp_Params) {
    }
    purgeVariableDependenciesOnElmtId(rmElmtId) {
    }
    aboutToBeDeleted() {
        SubscriberManager.Get().delete(this.id__());
        this.aboutToBeDeletedInternal();
    }
    initialRender() {
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            RelativeContainer.create();
            RelativeContainer.height('100%');
            RelativeContainer.width('100%');
        }, RelativeContainer);
        this.observeComponentCreation2((elmtId, isInitialRender) => {
            Button.createWithLabel("Page ColdStartUp");
            Button.alignRules({
                center: { anchor: '__container__', align: VerticalAlign.Center },
                middle: { anchor: '__container__', align: HorizontalAlign.Center }
            });
            Button.onClick(() => {
                let context: common.UIAbilityContext = getContext(this) as common.UIAbilityContext;
                let want: Want = {
                    deviceId: '',
                    bundleName: 'com.example.uiabilitycomponentsinteractive04',
                    moduleName: 'entry',
                    abilityName: 'FuncAbility',
                    parameters: {
                        router: 'funcA'
                    }
                };
                context.startAbility(want).then(() => {
                    hilog.info(DOMAIN_NUMBER, TAG, 'Succeeded in starting FuncAbility.');
                }).catch((err: BusinessError) => {
                    hilog.error(DOMAIN_NUMBER, TAG, `Failed to start FuncAbility. Code is ${err.code}, message is ${err.message}`);
                });
            });
        }, Button);
        Button.pop();
        RelativeContainer.pop();
    }
    rerender() {
        this.updateDirtyElements();
    }
    static getEntryName(): string {
        return "Page_ColdStartUp";
    }
}
registerNamedRoute(() => new Page_ColdStartUp(undefined, {}), "", { bundleName: "com.example.uiabilitycomponentsinteractive04", moduleName: "entry", pagePath: "pages/Page_ColdStartUp", pageFullPath: "entry/src/main/ets/pages/Page_ColdStartUp", integratedHsp: "false" });
